엔진 제안을 찾을 수 없음
이 문제가 발생하면 API는 404 Not Found 응답을 반환합니다. 응답의 type 값은 https://lingo.dev/docs/api/errors/engine-suggestion-not-found입니다. 모든 오류에 공통으로 적용되는 구조는 오류 및 상태 코드를 참고하세요.
이 엔진 제안은 더 이상 존재하지 않습니다. 제안을 다시 불러오세요.
필드#
응답 본문에는 표준 멤버인 type, status, title, detail 외에 다음 필드가 포함됩니다. detail 텍스트는 이 필드를 바탕으로 작성되므로 클라이언트에서 자체 문구로 대체해 표시할 수 있습니다.
| 필드 | 유형 |
|---|---|
id | string |
예시#
json
{
"detail": "This engine suggestion no longer exists. Reload the suggestions.",
"id": "<id>",
"type": "https://lingo.dev/docs/api/errors/engine-suggestion-not-found",
"status": 404,
"title": "Engine suggestion not found"
}이 오류를 반환하는 엔드포인트#
POST /v2/engine-suggestions/{id}/applyPOST /v2/engine-suggestions/{id}/dismiss